# IRdEdgeSelectionStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumEdgeSelectionWeights ([out, retval] RtDWORD *dwNumEdgeSelectionWeights)
HRESULT | SetNumEdgeSelectionWeights ([in] RtDWORD dwNumEdgeSelectionWeights)
## Properties
RtBYTE * | v1_selected ([in] RtDWORD dwIndex)`[get]`
RtBYTE | v1_selected ([in] RtDWORD dwIndex)`[set]`
RtUlong * | v1_orgelementindex ([in] RtDWORD dwIndex)`[get]`
RtUlong | v1_orgelementindex ([in] RtDWORD dwIndex)`[set]`
RtBYTE * | v2_selected ([in] RtDWORD dwIndex)`[get]`
RtBYTE | v2_selected ([in] RtDWORD dwIndex)`[set]`
RtUlong * | v2_orgelementindex ([in] RtDWORD dwIndex)`[get]`
RtUlong | v2_orgelementindex ([in] RtDWORD dwIndex)`[set]`
RtBYTE * | v3_selected ([in] RtDWORD dwIndex)`[get]`
RtBYTE | v3_selected ([in] RtDWORD dwIndex)`[set]`
RtUlong * | v3_orgelementindex ([in] RtDWORD dwIndex)`[get]`
RtUlong | v3_orgelementindex ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdEdgeSelectionStream holds information about selected triangle edges. This information is maintained in mesh during point edit session and is used to transform selections specified for output mesh to selections specified to input mesh.

The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_EDGE_SEL_WEIGHTS id.

## Member Function Documentation

HRESULT IRdEdgeSelectionStream::GetNumEdgeSelectionWeights | ( | [out, retval] RtDWORD * | dwNumEdgeSelectionWeights | ) |

Returns:
  dwNumEdgeSelectionWeights [out, retval] Get number of triangles.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdEdgeSelectionStream::SetNumEdgeSelectionWeights | ( | [in] RtDWORD | dwNumEdgeSelectionWeights | ) |

Parameters:

  | dwNumEdgeSelectionWeights | [in] Set number of triangles.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtBYTE * IRdEdgeSelectionStream::v1_selected([in] RtDWORD dwIndex)`[get]`

Get selection weight of 1-2 edge.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge weight.

  standard HRESULT processing can be applied to returned value.

RtBYTE IRdEdgeSelectionStream::v1_selected([in] RtDWORD dwIndex)`[set]`

Set selection weight of 1-2 edge.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge weight.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdEdgeSelectionStream::v1_orgelementindex([in] RtDWORD dwIndex)`[get]`

Get original element index in source mesh for edge 1-2.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Original element index.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdEdgeSelectionStream::v1_orgelementindex([in] RtDWORD dwIndex)`[set]`

Set original element index in source mesh for edge 1-2.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Original element index.

Returns:
  standard HRESULT processing can be applied to returned value.

RtBYTE* IRdEdgeSelectionStream::v2_selected([in] RtDWORD dwIndex)`[get]`

Get selection weight of 2-3 edge.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge weight.

  standard HRESULT processing can be applied to returned value.

RtBYTE IRdEdgeSelectionStream::v2_selected([in] RtDWORD dwIndex)`[set]`

Set selection weight of 2-3 edge.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge weight.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdEdgeSelectionStream::v2_orgelementindex([in] RtDWORD dwIndex)`[get]`

Get original element index in source mesh for edge 2-3.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Original element index.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdEdgeSelectionStream::v2_orgelementindex([in] RtDWORD dwIndex)`[set]`

Set original element index in source mesh for edge 2-3.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Original element index.

Returns:
  standard HRESULT processing can be applied to returned value.

RtBYTE* IRdEdgeSelectionStream::v3_selected([in] RtDWORD dwIndex)`[get]`

Get selection weight of 3-1 edge.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Edge weight.

  standard HRESULT processing can be applied to returned value.

RtBYTE IRdEdgeSelectionStream::v3_selected([in] RtDWORD dwIndex)`[set]`

Set selection weight of 3-1 edge.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Edge weight.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdEdgeSelectionStream::v3_orgelementindex([in] RtDWORD dwIndex)`[get]`

Get original element index in source mesh for edge 3-1.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Original element index.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdEdgeSelectionStream::v3_orgelementindex([in] RtDWORD dwIndex)`[set]`

Set original element index in source mesh for edge 3-1.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Original element index.

Returns:
  standard HRESULT processing can be applied to returned value.